<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'af', version '2.8'.
 *
 * @package     cachestore_memcached
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'Buffer skryf';
$string['bufferwrites_help'] = 'Ontsper of versper gebufferde I/O. Deur gebufferde I/O te ontsper, gaan bergingsbevele "buffer" in plaas daarvan om gestuur te word. Enige aksie wat data gaan haal, veroorsaak dat hierdie buffer na die afstandskonneksie gestuur word. Om uit die konneksie te gaan of die konneksie toe te maak, sal ook veroorsaak dat die gebufferde data na die afstandskonneksie gestoot word.';
$string['clustered'] = 'Ontsper geklusterde bedieners';
$string['clustered_help'] = 'Hierdie word gebruik om lees-een, stel-veelvuldige-in funksionaliteit toe te laat.

Die bedoelde gebruik is om \'n verbeterde stoor vir vrag-gebalanseerde konfigurasies te skep. Die stoor sal vanaf een bediener gaan haal (gewoonlik localhost), maar instel na vele (al die bedieners in vrag-balans poel). Vir kasse met baie hoë lees-na-instel verhoudings, spaar hierdie \'n aansienlike aantal netwerk bo-belading.

Wanneer hierdie instelling ontsper is, sal die bediener hierbo genoem, gebruik word om te gaan haal.';
$string['clusteredheader'] = 'Verdeelde bedieners';
$string['hash'] = 'Enkodering (\'hash\') metode';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'Verstek (een-op-\'n-slag)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'Spesifiseer die enkodering (\'hash\') metode wat vir die item sleutels gebruik word. Elke \'hash\' algoritme het sy eie voordele en nadele. Bly by die verstek as jy nie weet nie, of nie omgee nie.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['pluginname'] = '\'Memcached\'';
$string['prefix'] = 'Prefiks sleutel';
$string['prefix_help'] = 'Hierdie kan gebruik word om \'n "domein" vir jou item sleutels te skep. Dit sal jou toelaat om veelvuldige \'memcached\' store op \'n enkele \'memcached\' installasie te skep. Om te verhoed dat sleutel lengte probleme ontstaan, kan dit nie langer as 16 karakters wees nie';
$string['prefixinvalid'] = 'Ongeldige prefiks. Jy kan slegs  a-z A-Z 0-9-_ gebruik.';
$string['serialiser_igbinary'] = 'Die Igbinary parallel-na-serieelomsetter.';
$string['serialiser_json'] = 'Die JSON parallel-na-serieelomsetter.';
$string['serialiser_php'] = 'Die verstek PHP parallel-na-serieelomsetter.';
$string['servers'] = 'Bedieners';
$string['servers_help'] = 'Hierdie stel die bedieners in wat deur hierdie \'memcached\' passtuk gebruik moet word.
Bedieners moet een per lyn gedefinieer word en vanuit \'n bedieneradres en opsioneel \'n poort en gewig bestaan.
Indien geen poort verskaf word nie, word die verstek poort (11211) gebruik.

Byvoorbeeld:
<pre>
server.url.com
ipaddress:port
servername:port:weight
</pre>

Indien *Ontsper geklusterde bedieners* hier onder ontsper word, moet daar slegs een bediener hier gelys word. Hierdie sal gewoonlik \'n naam wees wat altyd na die plaaslike masjien ontbind, soos 127.0.0.1 of localhost.';
$string['serversclusterinvalid'] = 'Presies een bediener word vereis wanneer klustering ontsper word.';
$string['sessionhandlerconflict'] = 'Waarskuwing: \'n \'Memcached\' eksemplaar ({$a}) is gekonfigureer om dieselfde \'memcached\' bediener as sessies te gebruik. Indien alle kasse leeggemaak word, sal sessies ook leeggemaak word.';
$string['setservers'] = 'Ingestelde Bedieners';
$string['testservers'] = 'Toets bedieners';
$string['testservers_desc'] = 'Een of meer konneksiestringe waarteen \'memcached\' bedieners getoets kan word. Indien \'n toets bediener gespesifiseer is, kan \'memcached\' werksverrigting getoets word deur die kas werksverrigtingsbladsy in die administrasie blok te gebruik.
Byvoorbeeld: 127.0.0.1:11211';
$string['usecompression'] = 'Gebruik kompressie';
$string['usecompression_help'] = 'Ontsper of versper \'payload\' kompressie. Wanneer ontsper, sal item waardes langer as \'n sekere drumpel (tans 100 grepe) gedurende berging saamgepers en weer ontplooi word wanneer dit gaan haal word.';
$string['useserialiser'] = 'Gebruik parallel-na-serieelomsetter';
$string['useserialiser_help'] = 'Spesifiseer die parallel-na-serieelomsetter wat gebruik moet word om nie-skalare waardes om te set.
Die geldige parallel-na-serieelomsetter is Memcached::SERIALIZER_PHP of Memcached::SERIALIZER_IGBINARY.
Die laaste word slegs ondersteun wanneer \'memcached\' met  --enable-memcached-igbinary opsie gekonfigureer word en die Igbinary uitbreiding gelaai is.';
